.. _crashcourse:

Crash Course
============

The Kivy Crash Course is a series of YouTube video tutorials by
Kivy core developer `inclement <https://github.com/inclement>`_. They provide
a simple walkthrough in Kivy for users who know how to code in Python and is
friendly to Python beginners. After the Pong and Paint
tutorials, this set of videos covers basic features and techniques that can be
used to create your app quicker, keeping your code elegant and eye-friendly.

Basic Info
----------

The Crash Course primarily consists of a series of YouTube videos, each roughly
10 minutes long. There are also articles describing some of the videos and the
code used in the videos.

Topics covered by the Crash Course include:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    * Use of the basic Kivy widgets such as the Label, Button, Scatter and
      TextInput
    * Building an app for android with python-for-android's `old
      toolchain <https://github.com/kivy/python-for-android/tree/old_toolchain>`_
    * Binding functions to events
    * Using changes in variables on the go
    * Smart user interface (`Kv language
      <https://kivy.org/docs/guide/lang.html>`_)
    * Properties
    * Canvas and drawing
    * Label with scrolling
    * Positioning and layouts
    * Animation and Clock
    * Accessing android API (`pyjnius <https://github.com/kivy/pyjnius>`_,
      `plyer <https://github.com/kivy/plyer>`_)
    * Settings panel (and building your own options)
    * ScreenManager

Links:
~~~~~~

    * `Videos <https://www.youtube.com/watch?v=F7UKmK9eQLY&
      list=PLdNh1e1kmiPP4YApJm8ENK2yMlwF1_edq>`_
    * `Articles <http://inclem.net/pages/kivy-crash-course>`_
    * `Code <https://github.com/inclement/kivycrashcourse>`_
